Description

Adding reading support of projection files (.prj) would enhance the "Add layer" capabilities:
if a layer has the .prj file, its WKT should be parsed and the corresponding CRS directly associated with it,
else the user should specify the CRS of the layer in the Properties of the Add layer dialog (a bit tricky, too many clicks!)

Adding writing support of projection files (.prj) would enhance the "Export layer" capabilities:
gvSIG should read the View CRS, convert it in ESRI WKT and finally export the .prj file.

Related issues:
Related to Application: gvSIG desktop - gvSIG feature requests # 3861: Add wr... Closed 11/06/2015

Associated revisions

Revision 431 - 11/11/2015 03:19 PM - Francisco Diaz Carsi

refs #2610 Modificaciones en el api de projection para permitir la lectura y escritura de archivos prj.

Revision 436 - 11/11/2015 05:50 PM - Francisco Diaz Carsi

refs #2610 Modificaciones para permitir la lectura de archivos prj y su interpretacién para la reproyeccion al vuelo automatica del shp.

- Arreglos para eliminar de la vista aquellas geometrias (o partes de ellas) que no se pueden reproyectar en las capas reproyectadas al vuelo.

Revision 42464 - 11/11/2015 05:50 PM - Francisco Diaz Carsi

refs #2610 Modificaciones para permitir la lectura de archivos prj y su interpretacién para la reproyeccion al vuelo automatica del shp.

- Arreglos para eliminar de la vista aquellas geometrias (o partes de ellas) que no se pueden reproyectar en las capas reproyectadas al vuelo.

History

#1 - 06/30/2014 10:59 AM - Antonio Falciano
Adding writing support of projection files (.prj) would obviously enhance the "Create a new layer" (shp) too:

the user should specify the CRS, while gvSIG should parse it as ESRI WKT and write also the .prj file.

#2 - 07/07/2014 10:45 AM - Antonio Falciano
gvSIG jCRS extension (based on GeoTools 2.1) is able to convert a CRS code to the WKT and Proj.4 formats quite good (see #2632), but it actually
lacks of a parsing and identifying mechanism, like that provided by the latest version of GeoTools respectively in CRS.parseWKT and

CRS.lookupldentifier (http://docs.geotools.org/stable/userguide/library/referencing/crs.html#matching-a-coordinatereferencesystem), very useful in

order to match a WKT representation (e.g. coming from a .prj file) with a CRS code.

#3 - 10/23/2015 11:22 AM - Alvaro Anguix
- gvSIG version changed from 2.1.0 to 2.3.0
- Target version set to 98

- Priority changed from Normal to High

- Assignee set to Francisco Diaz Carsi

#4 - 11/06/2015 06:20 PM - Joaquin del Cerro Murciano
- Related to gvSIG feature requests #3861: Add writing support of projection files (.prj) for shapefile added

#5 - 11/06/2015 06:23 PM - Joaquin del Cerro Murciano
- Subject changed from Add writing and reading support of projection files (.prj) for shapefile to Add reading support of projection files (.prj) for shapefile

He separado esta peticion en dos, una de soporte de lectura y otra de escritura, ya que ahora mismo podemos resolver la de lectura pero estamos

teniendo problemas con la escritura.

#6 - 11/12/2015 10:10 AM - Francisco Diaz Carsi
- Target version changed from 98 to 2.3.0-2409 (rev. org.gvsig.desktop-2.0.115)
- Status changed from New to Fixed

#7 - 12/21/2015 12:16 PM - Alvaro Anguix
- Status changed from Fixed to Closed
